Bug 42710 - www/mod_php4 Sablotron not LOCALBASE clean
Summary: www/mod_php4 Sablotron not LOCALBASE clean
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: dirk
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-09-12 20:00 UTC by Thomas Hurst
Modified: 2002-09-20 15:17 UTC (History)
0 users

See Also:


Attachments
file.diff (572 bytes, patch)
2002-09-12 20:00 UTC, Thomas Hurst
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Hurst 2002-09-12 20:00:09 UTC
	files/configure.php just passes a naked --with-xslt-sablot to PHP
	./configure; most other libraries are passed LOCALBASE, either
	absolutely or conditionally (like in the case of bzip2).

	Since PHP's lovely 75,000 line ./configure only checks /usr and
	/usr/local by default, anyone who's dumb enough to change LOCALBASE
	(read: me) will have configure fail.

Fix: This worked for me, tested with www/mod_php4 and lang/php4

	Anyone who installed Sablotron outside ports and elsewhere than LOCALBASE
	will hate it, but this is what configure.php appears to do for most other
	libraries.
Comment 1 Ying-Chieh Liao freebsd_committer 2002-09-19 22:32:18 UTC
Responsible Changed
From-To: freebsd-ports->dirk

over to maintainer
Comment 2 dirk freebsd_committer 2002-09-20 15:17:19 UTC
State Changed
From-To: open->closed

committed. thanks!